Subject: Re: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Ankit Gadiya <[email-masked]>
Date: Thu, 7 Mar 2024 14:28:52 +0530

On Thu, 7 Mar 2024 at 07:27, Dmitry Gutov <[email-masked]> wrote:
>
> On 06/03/2024 07:22, Ankit Gadiya wrote:
>
> >> Are you testing in the same Emacs as the one you filed the bug report in?
> >>
> >
> > Yes, I only have one Emacs version installed on my system and I'm currently
> > tracking the emacs-29 branch (last compiled maybe a week ago). I tried enabling
> > `debug-on-entry` for the `fill-paragraph` function. Here is the
> > Backtrace if it's
> > useful. I think beyond this it goes into lower level buffer manipulation
> > functions.
> >
> >
> >    current-left-margin()
> > * move-to-left-margin()
> > * forward-paragraph(1)
> > * fill-forward-paragraph(1)
> > * fill-region(17 269 nil)
>
> Sorry, I'm not noticing anything odd here.
>
> >>> Today @[email-masked] suggested to set adaptive-fill-regexp for go-ts-mode
> >>> and that solved it for me (if this is useful).
> >>>
> >>>       (setq-mode-local go-ts-mode adaptive-fill-regexp "[ \t]*//+[ \t]*")
> >>
> >> TBH I'm not yet sure what the value of this variable should look like.
> >> But if I manage to reproduce the bug on my machine, this will be the
> >> next thing we can try, thanks.
> >
> > I also tried pulling the latest grammar for go and it's still
> > reproducing on my machine.
>
> Could you confirm that your problem reproduces if you start Emacs as
> 'emacs -Q'?

I did notice some files from earlier versions of Emacs installation on my
machine. So just to rule it out, I cleared all the installations and re-compiled
and re-installed Emacs locally from the same commit again. Unfortunately, it is
still reproducing in the `emacs -Q` session.

This is the output of `emacs-version` inside `emacs -Q` session.

GNU Emacs 29.2.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.38,
cairo version 1.16.0) of 2024-03-04

This is the partial output from the `report-emacs-bug` buffer in the same `emacs
-Q` session.

In GNU Emacs 29.2.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version
3.24.38, cairo version 1.16.0) of 2024-03-04 built on t14
Repository revision: ae80192d97b8d0e54a9429091cd84190bdbeb49e
Repository branch: emacs-29
System Description: Debian GNU/Linux 12 (bookworm)

I also tried fetching newer changes from the `emacs-29` branch and I'm
still able to reproduce it.

GNU Emacs 29.2.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.38,
cairo version 1.16.0) of 2024-03-07

In GNU Emacs 29.2.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.16.0) of 2024-03-07 built on t14
Repository revision: 6e801077ae88e72dbad32015a083602062c4efe3
Repository branch: emacs-29
System Description: Debian GNU/Linux 12 (bookworm)